/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on May-15-2012 07:15:45pm
Filepath: scripts\events and scenarios\Easter 2012\Easter Collection\Rewards\CostumeEasterBunny.cs
Lines of code: 36

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class CostumeEasterBunny : BaseCostume
	{
		[Constructable]
		public CostumeEasterBunny() : base("Easter Bunny Costume", 205, 0)  
		{
			GenHue();
		}
		
		public void GenHue()
		{
			this.Hue = Utility.RandomList(41, 495, 567, 48, 131, 75, 1001, 1169, 1155, 1164, 1160, 1162, 2210, 1324, 1157, 1364, 1156, 2101, 1281, 1158, 1266, 1150, 1167, 1109, 33, 1420, 1644, 1359, 1166, 1165, 1172, 1168, 1175, 1152, 1161, 1151, 1154, 1153, 1177);
			CostumeHueMod=this.Hue;
		}

		public CostumeEasterBunny( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Easter \t" + "2012");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}